# Tox (http://tox.testrun.org/) is a tool for running tests
# in multiple virtualenvs. This configuration file will run the
# test suite on all supported python versions. To use it, "pip install tox"
# and then run "tox" from this directory.

[tox]
skipsdist = True
envlist = pycodestyle, pylint

[pycodestyle]
# E501: line too long (80 chars)
ignore = E501

[testenv:pycodestyle]
commands =
    -sh -c 'pycodestyle xivo_acceptance > pep8.txt'
deps =
    pycodestyle
whitelist_externals =
    sh

[testenv:pylint]
commands =
    -sh -c 'pylint xivo_acceptance > pylint.txt'
deps =
    -rrequirements.txt
    pylint
whitelist_externals =
    sh

[testenv:webi-ws]
commands =
    nosetests --with-xunit --xunit-file=xunit-tests.xml webservices
deps =
    -rwebservices/requirements.txt
